Retrieve comprehensive IP address data
curl --request GET \
--url https://api.gcore.com/waap/v1/ip-info/ip-info \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/waap/v1/ip-info/ip-info"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/ip-info/ip-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"whois": {
"org_id": "<string>",
"org_name": "<string>",
"net_name": "<string>",
"net_type": "<string>",
"net_range": "<string>",
"net_description": "<string>",
"cidr": 123,
"owner_type": "<string>",
"country": "<string>",
"state": "<string>",
"abuse_mail": "<string>",
"rir": "<string>"
},
"tags": [
"<string>"
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}IP Spotlight
Retrieve comprehensive IP address data
Fetch details about a particular IP address, including WHOIS data, risk score, and additional tags.
GET
/
waap
/
v1
/
ip-info
/
ip-info
Retrieve comprehensive IP address data
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
The IP address to check
Response
Successful Response
The WHOIS information for the IP address
Show child attributes
Show child attributes
The risk score of the IP address
Available options:
NO_RISK, LOW, MEDIUM, HIGH, EXTREME, NOT_ENOUGH_DATA The tags associated with the IP address that affect the risk score
Was this page helpful?
⌘I